Get call result
curl --request GET \
--url https://api.voxworks.ai/api/v1/get-call-result/{call_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxworks.ai/api/v1/get-call-result/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voxworks.ai/api/v1/get-call-result/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"call": {
"id": "<string>",
"status": "<string>",
"progress": "<string>",
"end_reason": "<string>",
"duration": 123,
"scheduled_time": "2023-11-07T05:31:56Z",
"actual_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"type": "<string>",
"script_id": "<string>",
"contact_id": "<string>",
"call_summary": "<string>",
"structured_data": {},
"transcript": "<string>",
"transcript_json": {},
"recording_url": "<string>",
"rating": 123,
"objectives": [
{}
],
"post_call_actions": [
{}
]
}
}{
"success": false,
"message": "Invalid API key"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Rate limit exceeded"
}{
"success": false,
"message": "Internal server error"
}Calls
Get call result
Retrieve post-call result fields including summary, transcript, recording URL, structured data, rating, and objectives.
GET
/
api
/
v1
/
get-call-result
/
{call_id}
Get call result
curl --request GET \
--url https://api.voxworks.ai/api/v1/get-call-result/{call_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxworks.ai/api/v1/get-call-result/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voxworks.ai/api/v1/get-call-result/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"call": {
"id": "<string>",
"status": "<string>",
"progress": "<string>",
"end_reason": "<string>",
"duration": 123,
"scheduled_time": "2023-11-07T05:31:56Z",
"actual_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"type": "<string>",
"script_id": "<string>",
"contact_id": "<string>",
"call_summary": "<string>",
"structured_data": {},
"transcript": "<string>",
"transcript_json": {},
"recording_url": "<string>",
"rating": 123,
"objectives": [
{}
],
"post_call_actions": [
{}
]
}
}{
"success": false,
"message": "Invalid API key"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Rate limit exceeded"
}{
"success": false,
"message": "Internal server error"
}⌘I

